import tensorflow as tf
import numpy as np

from cloudproc.cloud_cnn import heights_to_labels
from cloudproc.validate import load_heightpoints, height_histo, random_heights
from cloudproc.config import HEIGHT_BINS
hps = load_heightpoints()
histo, bins = height_histo(hps)

heights = tf.placeholder(tf.float32, name='heights')

labels = heights_to_labels(heights)
print(HEIGHT_BINS, ' inf ')

with tf.Session() as sess:
    r_heights = random_heights(histo, bins, 100)
    r_labels = sess.run(labels, feed_dict={heights:r_heights})
    print('lbl: {}, rlbl: {}, hgh: {}'.format(labels.shape, r_labels.shape, r_heights.shape))
    for index, h in np.ndenumerate(r_heights):
        print(index, h, ':', r_labels[index])
